/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package semprace1;
// Prace s databazi klientu

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.*;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author radka
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    static String[][] data = new String[20][2];    //zavedeni stat. prom. 'matice data'
    static int pz;  //zavedeni stat. prom. 'pocet zaznamu'

    public static void main(String[] args) {

        ReadSave.readData(); //nacteni dat = zavolat funkci 'readData()'

        LBL:
        for (;;) {
            char M = menu();    //zavolat fci 'menu()'
            switch (M) {
                case 'L':
                    list();
                    break;
                case 'N':
                    Sort.bubleName(data, pz);
                    break;
                case 'I':
                    Sort.bubleID(data, pz);
                    break;
                case 'D':
                    AddDel.delete();
                    break;
                case 'A':
                    AddDel.add();
                    break;
                case 'E':
                    break LBL;
                default:
                    System.out.println("Neznamy prikaz!");
            }//end switch
        }//end for

        ReadSave.saveData(); //ulozeni dat = zavolat funkci 'saveData()'
    } //end 'void main'

    //fce 'menu()'
    static char menu() {
        System.out.println();
        System.out.println("Vyberte jednu funkci z uvedene nabidky: ");
        System.out.println("'L' = vypis databaze na obrazovku.");
        System.out.println("'N' = setrideni databaze podle jmena.");
        System.out.println("'I' = setrideni databaze podle ID cisla.");
        System.out.println("'D' = vyrazeni vybraneho klienta z databaze.");
        System.out.println("'A' = pridani noveho klienta do databaze.");
        System.out.println("'E' = ukonceni programu.");

        Scanner sc = new Scanner(System.in);
        String M = sc.nextLine();
        if (M.isEmpty()) {
            return ' ';
        }//fi

        return M.toUpperCase().charAt(0);
        //prikaz osetri zadani vice znaku
        //M.toUpperCase = prevede mala pismena na velka a vrati 'nulte', ostatni ignoruje
    }   //end fce 'menu()'

    //fce 'list()' = vypis na obrazovku obsah databaze
    static void list() {
        for (int r = 0; r < pz; r++) {
            System.out.print("Klient ID " + data[r][1]);
            System.out.println(", jmeno: " + data[r][0]);
        }   //end for
    }   //end fce 'list()'

    //fce 'findDel(name)' = najdi uvedeny retezec a vrat pozici
    static int findDel(String name) {
        for (int r = 0; r < pz; r++) {
            if (data[r][0].equalsIgnoreCase(name))
                //porovnani retezu
                //'IgnoreCase' = ignoruje velka a mala pismena
            {
                return r;//pro tento priklad jsou uvazujeme vsechna jmena unikatni
            }   //end if
        }   //end for
        return -1;
    }   //end fce 'findDel(name)'

    //fce 'rowDel(int r)' = odstran z databaze vybraneho klienta
    static void rowDel(int r) {
        //odstraneni zaznamu prepisem dalsich zaznamu
        for (; r < pz - 1; r++) {
            data[r][0] = data[r + 1][0];
            data[r][1] = data[r + 1][1];
            //lze take jen: data [r] = data [r+1];
            }   //end for
        pz = pz - 1;
    }   //end fce 'rowDel(int r)'
} //end 'class Main'